package com.loan.system.service;

import com.loan.system.domain.dto.LoanCaseDTO;
import com.loan.system.domain.entity.LoanCase;
import com.loan.system.domain.vo.LoanCaseVO;

import java.util.List;

public interface LoanService {
    List<LoanCaseVO> findLoanCaseByIsComplete(Boolean isComplete, boolean isDelete) ;

    LoanCaseVO addLoanCaseByCustomerId(Long customerId);
    
    void updateLoanCaseById(LoanCaseDTO loanCaseDTO, Long caseId);

    LoanCaseVO findLoanCaseDetailsById(Long caseId);

    LoanCaseVO findLoanCaseByIdAndIsDelete(Long caseId, boolean isDelete);

    void updateUpdatetimeByIdAndIsDeleted(Long id,boolean isDelete);

    void logic_delete(Long id);
}